import { jsx } from "react/jsx-runtime";
import { Webcam as Webcam$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Webcam = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Webcam", ...props, children: /* @__PURE__ */ jsx(Webcam$1, { weight: variant }) });
  }
);
Webcam.displayName = "Webcam";
Object.assign(Webcam, { isGdsIcon: true });
export {
  Webcam
};
